### File

`packages/eui/packages/components-next/src/lib/layout/eui-sidebar-menu/eui-sidebar-menu.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-sidebar-menu`
styleUrls | `./_styles/_index.scss`
templateUrl | `./eui-sidebar-menu.component.html`

### Index

###### Methods
Public onMenuClicked Public onMenuCollapsed Public onMenuItemClicked
###### Inputs
collapseMenuLabel expandAllItems expandMenuLabel externalLinkLabel fragmentId hasFilter hasIcons hasTooltip isCollapsed items searchFilterLabel style
###### Outputs
onClicked onItemClicked
###### HostBindings
class

### Constructor

`constructor()`

### Inputs

collapseMenuLabel
Type : `string`

expandAllItems
Default value : `false`

expandMenuLabel
Type : `string`

externalLinkLabel
Type : `string`

fragmentId
Type : `string`

hasFilter
Default value : `false`

hasIcons
Default value : `false`

hasTooltip
Default value : `false`

isCollapsed
Default value : `false`

items
Type : `any[]`
Default value : `[]`

searchFilterLabel
Type : `string`

style
Default value : `''`

### Outputs

onClicked
Type : `EventEmitter<any>`

onItemClicked
Type : `EventEmitter<EuiMenuItem>`

### HostBindings

class
Default value : `'eui-sidebar-menu'`

### Methods

Public onMenuClicked
`onMenuClicked(event: any)`
Parameters :
Name | Type | Optional
event | `any` | No
Returns : `void`

Public onMenuCollapsed
`onMenuCollapsed(event: any)`
Parameters :
Name | Type | Optional
event | `any` | No
Returns : `void`

Public onMenuItemClicked
`onMenuItemClicked(item: EuiMenuItem)`
Parameters :
Name | Type | Optional
item | `EuiMenuItem` | No
Returns : `void`

# result-matching ""

# No results matching ""